package java.awt.image;

import java.awt.RenderingHints;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

public interface BufferedImageOp
{
    public abstract BufferedImage filter(BufferedImage p0, BufferedImage p1);
    
    public abstract Rectangle2D getBounds2D(BufferedImage p0);
    
    public abstract BufferedImage createCompatibleDestImage(BufferedImage p0, ColorModel p1);
    
    public abstract Point2D getPoint2D(Point2D p0, Point2D p1);
    
    public abstract RenderingHints getRenderingHints();
}
